Package org.apache.sling.testing.mock.sling.servlet

# Class MockServletContext

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletContextWrapper
org.apache.sling.servlethelpers.MockServletContext
org.apache.sling.testing.mock.sling.servlet.MockServletContext

All Implemented Interfaces:
  `javax.servlet.ServletContext`

@Deprecated(since="3.2.0") public final class MockServletContext extends org.apache.sling.servlethelpers.MockServletContext
Deprecated.
Use `MockJakartaServletContext` instead.
Mock `ServletContext` implementation.

## Field Summary

### Fields inherited from interface javax.servlet.ServletContext

`ORDERED_LIBS, TEMPDIR`

## Constructor Summary

Constructors
Constructor
Description
`MockServletContext(org.apache.sling.servlethelpers.MockJakartaServletContext wrappedServletContext)`
Deprecated.

## Method Summary

### Methods inherited from class org.apache.sling.servlethelpers.MockServletContext

`getJspConfigDescriptor, getServlet, getServletNames, getServlets`

### Methods inherited from class org.apache.felix.http.javaxwrappers.ServletContextWrapper

`addFilter, addFilter, addFilter, addJspFile, addListener, addListener, addListener, addServlet, addServlet, addServlet, createFilter, createListener, createServlet, declareRoles, getAttribute, getAttributeNames, getClassLoader, getContext, getContextPath, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestCharacterEncoding, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getResponseCharacterEncoding, getServerInfo, getServletContextName, getServletRegistration, getServletRegistrations, getSessionCookieConfig, getSessionTimeout, getVirtualServerName, log, log, log, removeAttribute, setAttribute, setInitParameter, setRequestCharacterEncoding, setResponseCharacterEncoding, setSessionTimeout, setSessionTrackingModes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockServletContext

public MockServletContext(org.apache.sling.servlethelpers.MockJakartaServletContext wrappedServletContext)
Deprecated.